Subject: [manet] FW: I-D Action: draft-ietf-ospf-manet-single-hop-mdr-02.txt

From: "Adrian Farrel" <[email-masked]>
Date: Sun, 5 May 2013 22:45:59 +0100

heads up

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]]
> On Behalf Of [email-masked]
> Sent: 05 May 2013 16:15
> To: [email-masked]
> Cc: [email-masked]
> Subject: I-D Action: draft-ietf-ospf-manet-single-hop-mdr-02.txt
> 
> 
> A New Internet-Draft is available from the on-line Internet-Drafts
directories.
>  This draft is a work item of the Open Shortest Path First IGP Working Group
of
> the IETF.
> 
> 	Title           : Use of OSPF-MDR in Single-Hop Broadcast Networks
> 	Author(s)       : Richard G. Ogier
> 	Filename        : draft-ietf-ospf-manet-single-hop-mdr-02.txt
> 	Pages           : 6
> 	Date            : 2013-05-05
> 
> Abstract:
> RFC 5614 (OSPF-MDR) extends OSPF to support mobile ad hoc networks
> (MANETs) by specifying its operation on the new OSPF interface of type
> MANET.  This document describes the use of OSPF-MDR in a single-hop
> broadcast network, which is a special case of a MANET in which each
> router is a (one-hop) neighbor of each other router.  Unlike an OSPF
> broadcast interface, such an interface can have a different cost
> associated with each neighbor.  The document includes configuration
> recommendations and simplified mechanisms that can be used in single-hop
> broadcast networks.
> 
> 
> The IETF datatracker status page for this draft is:
> https://datatracker.ietf.org/doc/draft-ietf-ospf-manet-single-hop-mdr
> 
> There's also a htmlized version available at:
> http://tools.ietf.org/html/draft-ietf-ospf-manet-single-hop-mdr-02
> 
> A diff from the previous version is available at:
> http://www.ietf.org/rfcdiff?url2=draft-ietf-ospf-manet-single-hop-mdr-02
> 
> 
> Internet-Drafts are also available by anonymous FTP at:
> ftp://ftp.ietf.org/internet-drafts/
> 
> _______________________________________________
> I-D-Announce mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/i-d-announce
> Internet-Draft directories: http://www.ietf.org/shadow.html
> or ftp://ftp.ietf.org/ietf/1shadow-sites.txt

---

From: Abdussalam Baryun <[email-masked]>
Date: Tue, 7 May 2013 11:36:24 +0200

Hi Ogier,
I was interested to find the RFC5444 format (MANET messaging format)
in the I-D. The document is for the manet case so why does it not use
RFC5444 in its work? Do you think using RFC5444 is not a good idea in
this I-D, please explain?

AB

On 5/5/13, Adrian Farrel <[email-masked]> wrote:
> manet mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/manet
>

---

From: Henning Rogge <[email-masked]>
Date: Tue, 7 May 2013 12:41:28 +0200

> this I-D, please explain?

Read the title of the document again... you will notice the "OSPF".

the OSPF Manet-Extension has been developed in the OSPF working group 
using the OSPF message format.

Henning Rogge

-- 
Diplom-Informatiker Henning Rogge , Fraunhofer-Institut für
Kommunikation, Informationsverarbeitung und Ergonomie FKIE
Kommunikationssysteme (KOM)
Fraunhofer Straße 20, 53343 Wachtberg, Germany
Telefon +49 228 9435-961,   Fax +49 228 9435 685
mailto:[email-masked] http://www.fkie.fraunhofer.de

---

From: Ulrich Herberg <[email-masked]>
Date: Tue, 7 May 2013 08:11:06 -0700

Hi,

I was wondering about the use case of this protocol. In which
scenarios is this used / why is it useful? (that may have been clear
from the discussions on the OSPF mailing list, which I have not
followed). I think it could be helpful to write that in the draft,
together with an applicability statement.

You already mention the 2-layer meshing as example use case for when
there is a single-hop MANET. Which other cases do you have in mind
(given that radio ranges are typically different on different
interfaces)?

Since this draft is experimental, what kinds of experiments are
planned to be conducted? Shouldn't that be described in the draft?

"NOT RECOMMENDED" is missing in the terminology from 2119 (per errata).

It could be helpful to give guidance about the 2119 terminology in
section 2 (i.e., what are the consequences of not selecting a value
for AdjConnectivity etc. for each of the SHOULD, MAY, SHOULD NOT).

Best regards
Ulrich

---

From: Abdussalam Baryun <[email-masked]>
Date: Tue, 7 May 2013 18:10:58 +0100

> using the OSPF message format.
I understand that you prefer using OSPF fomat for the I-D, which I was
thinking of RFC5444. I read I-D and the extension is for manet not others.
IMO it is ok all WGs may work together for the best of IETF protocols or
formats. IMO that a routing protocol X  that wants to be extended for MANET
cases SHOULD include additional messaging type considering rfc5444 format,
but if that protocol has a reason why not to use RFC5444 then it will be
understood,

AB

---

From: "Dearlove, Christopher (UK)" <[email-masked]>
Date: Tue, 7 May 2013 17:20:52 +0000

This is an extension to OSPF. It is not a protocol to run on the manet UDP port/IP protocol as specified by RFC 5498. As such it isn't constrained to use RFC 5444.

--
Christopher Dearlove
Senior Principal Engineer, Communications Group
Communications, Networks and Image Analysis Capability
BAE Systems Advanced Technology Centre
West Hanningfield Road, Great Baddow, Chelmsford, CM2 8HN, UK
Tel: +44 1245 242194 |  Fax: +44 1245 242124
[email-masked]<mailto:[email-masked]> | http://www.baesystems.com

BAE Systems (Operations) Limited
Registered Office: Warwick House, PO Box 87, Farnborough Aerospace Centre, Farnborough, Hants, GU14 6YU, UK
Registered in England & Wales No: 1996687

From: [email-masked] [mailto:[email-masked]] On Behalf Of Abdussalam Baryun
Sent: 07 May 2013 18:11
To: manet
Cc: [email-masked]
Subject: Re: [manet] FW: I-D Action: draft-ietf-ospf-manet-single-hop-mdr-02.txt

*** WARNING ***
This message originates from outside our organisation, either from an external partner or the internet.
Keep this in mind if you answer this message.
Please see this process<http://intranet.ent.baesystems.com/howwework/security/spotlights/Documents/Dealing%20With%20Suspicious%20Emails.pdf> on how to deal with suspicious emails.
On Tue, May 7, 2013 at 11:41 AM, Henning Rogge <[email-masked]<mailto:[email-masked]>> wrote:
On 05/07/2013 11:36 AM, Abdussalam Baryun wrote:
Hi Ogier,
I was interested to find the RFC5444 format (MANET messaging format)
in the I-D. The document is for the manet case so why does it not use
RFC5444 in its work? Do you think using RFC5444 is not a good idea in
this I-D, please explain?

the OSPF Manet-Extension has been developed in the OSPF working group using the OSPF message format.

I understand that you prefer using OSPF fomat for the I-D, which I was thinking of RFC5444. I read I-D and the extension is for manet not others. IMO it is ok all WGs may work together for the best of IETF protocols or formats. IMO that a routing protocol X  that wants to be extended for MANET cases SHOULD include additional messaging type considering rfc5444 format, but if that protocol has a reason why not to use RFC5444 then it will be understood,

AB

********************************************************************
This email and any attachments are confidential to the intended
recipient and may also be privileged. If you are not the intended
recipient please delete it from your system and notify the sender.
You should not copy it or use it for any purpose nor disclose or
distribute its contents to any other person.
********************************************************************

---

From: "Stan Ratliff (sratliff)" <[email-masked]>
Date: Tue, 7 May 2013 17:37:17 +0000

AB,

I agree with Chris. What you propose would almost have to be expressed as an "OSPF over RFC5444" draft. That would be a *huge* undertaking. I sincerely doubt there would be sufficient interest and/or cycles in MANET for such an effort. Speaking only as a working group participant, I would not be interested in pursuing it.

Regards,
Stan

On May 7, 2013, at 1:20 PM, Dearlove, Christopher (UK) wrote:

From: [email-masked]<mailto:[email-masked]> [mailto:[email-masked]] On Behalf Of Abdussalam Baryun
Sent: 07 May 2013 18:11
To: manet
Cc: [email-masked]<mailto:[email-masked]>
Subject: Re: [manet] FW: I-D Action: draft-ietf-ospf-manet-single-hop-mdr-02.txt

*** WARNING ***

AB

_______________________________________________
manet mailing list
[email-masked]<mailto:[email-masked]>
https://www.ietf.org/mailman/listinfo/manet

---

From: Joe Macker <[email-masked]>
Date: Tue, 7 May 2013 14:28:24 -0400

AB:

(A little history for clarification)
This is related to existing past efforts to extend manet concepts to OSPF formats and so it should use OSPF formats/TLVs,etc.
The explicitly goal at that time was to have minimum impact on existing OSPF design but gain some value from MANET enhancements.
There are several EXPERIMENTAL RFCs already produced from that effort.

The MANET and OSPF WG chairs were involved early on in helping to establish and formulate this initial collaborative exchange between WGs.
Hopefully this clarified the intent and some of the related history..

-Joe

---

From: Abdussalam Baryun <[email-masked]>
Date: Wed, 8 May 2013 11:19:35 +0100

On Tue, May 7, 2013 at 6:20 PM, Dearlove, Christopher (UK) <
[email-masked]> wrote:

>  This is an extension to OSPF. It is not a protocol to run on the manet
> UDP port/IP protocol as specified by RFC 5498. As such it isn't constrained
> to use RFC 5444.
>
>
>

I agree that the extension is not for manet UDP port/ protocol number as in
RFC5498. The extension is to OSPF for MANET (i.e. OSPF already has a
protocol number to be used). I was thinking of a new RFC5444 packet
specially for OSPF that is only used for this extension. Using only RFC5444
not using RFC5498, and not *OSPF over RFC5444*.

AB

> ** **
> -- ****
> Christopher Dearlove****
> Tel: +44 1245 242194 |  Fax: +44 1245 242124****
>
> [email-masked] | http://www.baesystems.com
>
> Registered in England & Wales No: 1996687****
>
> ** **
>
> *From:* [email-masked] [mailto:[email-masked]] *On Behalf
> Of *Abdussalam Baryun
> *Sent:* 07 May 2013 18:11
> *To:* manet
> *Cc:* [email-masked]
> *Subject:* Re: [manet] FW: I-D Action:
> draft-ietf-ospf-manet-single-hop-mdr-02.txt****
>
> ** **
>
> ** **
>
> **** WARNING ****
>
> *This message originates from outside our organisation, either from an
> external partner or the internet.**
> Please see this process<http://intranet.ent.baesystems.com/howwework/security/spotlights/Documents/Dealing%20With%20Suspicious%20Emails.pdf>on how to deal with suspicious emails.
> *****
>
> [email-masked]> wrote:****
>
> On 05/07/2013 11:36 AM, Abdussalam Baryun wrote:****
>
> Hi Ogier,
> this I-D, please explain?****
>
> ** **
>
> using the OSPF message format.****
>
>  ****
>
> understood,****
>  ****
> AB****
> ** **

---

From: Abdussalam Baryun <[email-masked]>
Date: Wed, 8 May 2013 11:40:28 +0100

Hi Joe,

Yes it helped me understand the intent, but I think it will be nice if some
clarification goes into the I-D as well for future readers/users. Thanking
you,

AB

On Tue, May 7, 2013 at 7:28 PM, Joe Macker <[email-masked]> wrote:

> This is related to existing past efforts to extend manet concepts to OSPF
> formats and so it should use OSPF formats/TLVs,etc.
> The explicitly goal at that time was to have minimum impact on existing
> OSPF design but gain some value from MANET enhancements.
> The MANET and OSPF WG chairs were involved early on in helping to
> establish and formulate this initial collaborative exchange between WGs.

---

From: "Dearlove, Christopher (UK)" <[email-masked]>
Date: Wed, 8 May 2013 10:47:15 +0000

And the question would be why?

(I can imagine a possible why. But that's imagine, not have an actual reason. Someone might want sometime it is not a reason.)

From: Abdussalam Baryun [mailto:[email-masked]]
Sent: 08 May 2013 11:20
To: Dearlove, Christopher (UK)
Cc: manet; [email-masked]
Subject: Re: [manet] FW: I-D Action: draft-ietf-ospf-manet-single-hop-mdr-02.txt

*** WARNING ***
On Tue, May 7, 2013 at 6:20 PM, Dearlove, Christopher (UK) <[email-masked]<mailto:[email-masked]>> wrote:

I agree that the extension is not for manet UDP port/ protocol number as in RFC5498. The extension is to OSPF for MANET (i.e. OSPF already has a protocol number to be used). I was thinking of a new RFC5444 packet specially for OSPF that is only used for this extension. Using only RFC5444 not using RFC5498, and not *OSPF over RFC5444*.

AB

Tel: +44 1245 242194<tel:%2B44%201245%20242194> |  Fax: +44 1245 242124<tel:%2B44%201245%20242124>

From: [email-masked]<mailto:[email-masked]> [mailto:[email-masked]<mailto:[email-masked]>] On Behalf Of Abdussalam Baryun
Sent: 07 May 2013 18:11
To: manet
Cc: [email-masked]<mailto:[email-masked]>
Subject: Re: [manet] FW: I-D Action: draft-ietf-ospf-manet-single-hop-mdr-02.txt

*** WARNING ***

AB

---

From: Abdussalam Baryun <[email-masked]>
Date: Wed, 8 May 2013 14:16:38 +0100

I have another question, May DLEP improve OSPF within manet? if yes why not
mentioned in the I-D,

AB

---

From: Abdussalam Baryun <[email-masked]>
Date: Sat, 11 May 2013 15:28:52 +0200

Hi Chris,

>(I can imagine a possible why. But that's imagine, not have an actual reason. Someone might want sometime it is not a reason.)

I know that the want-source came from the document and I as possible
user that need to know the reason of not using RFC5444. The RFC5444
wants all manet routers to use it. If it was not discussed, there is
no harm in discussing issues related, I think discussing I-Ds are
always reasonable in any way.

The I-D is an experimental work in progress, so I am asking to know
more, so I can make a decision to use it or not.

my comments below;

> And the question would be why?

The intention of using RFC5444 is to improve OSPF in MANETs or to
improve the document applicability. Within MANETs I may have: NHDP,
AODVv2, OLSRv2, and SMF, that are all using RFC5444. The I-D is
looking into single hop broadcast networks, proposing new interface
manet type, and working within the MANET. I want to reduce the OSPF
flooding overhead, I think/imagine RFC5444 may be used for that need.
Furthermore, OSPF may cover areas of different networks, so MANET has
different security attacks from other nets, so IMO having using
similar RFC5444-sec can help a OSPF packet-type to manet scurity
requirements.

There are experimental documents [1-2] and other informational [3-4]
that should be considered for such discussion.

[1] Danilov, C., et al. (2009) Experimental and Field Demonstration of
A 802.11-based Ground-UAV Mobile Ad-Hoc Network, MILCOM.

[2] Fuertes, et al., (2012) Routing across wired and wireless mesh
networks: Experimental Compound Internetworking with OSPF, 8th Intl
wireless comm and mobile comp conf.

[3] Chakeres, et al. (2007), Connecting MANET Multicast, MILCOM.

[4] Goyal, et al. (2013), Improving Convergence Speed and Scalability
in OSPF: a survey, IEEE comm survey journal.

Regards

AB

On 5/8/13, Dearlove, Christopher (UK) <[email-masked]> wrote:
> (I can imagine a possible why. But that's imagine, not have an actual
> reason. Someone might want sometime it is not a reason.)
>
> --
> Christopher Dearlove
> Subject: Re: [manet] FW: I-D Action:
> draft-ietf-ospf-manet-single-hop-mdr-02.txt
>
>
> *** WARNING ***
> Please see this
> process<http://intranet.ent.baesystems.com/howwework/security/spotlights/Documents/Dealing%20With%20Suspicious%20Emails.pdf>
> on how to deal with suspicious emails.
> On Tue, May 7, 2013 at 6:20 PM, Dearlove, Christopher (UK)
> <[email-masked]<mailto:[email-masked]>>
> wrote:
> This is an extension to OSPF. It is not a protocol to run on the manet UDP
> port/IP protocol as specified by RFC 5498. As such it isn't constrained to
> use RFC 5444.
>
>